Subject: 30.0.91; Should test files be included in GNU ELPA tarballs?

From: Lin Jian <[email-masked]>
Date: Tue, 15 Oct 2024 04:54:29 +0800

Some GNU ELPA packages include test files in their tarballs, such as
triples[1].  Test files may have extra dependencies.  For example,
triples-test.el[2] requires kv.  When installing package tarballs, those
extra dependencies cause compilation errors, which causes package build
failures in our NixOS CI.

Given that users probably do not need those test files, I think it is a
good idea to exclude them from tarballs.  MELPA does that by default[3].

WDYT?

[1]: https://elpa.gnu.org/packages/triples.html
[2]: https://git.savannah.gnu.org/cgit/emacs/elpa.git/tree/triples-test.el?h=externals/triples&id=cf7f9c8dd77e47a1c32e0d0026df86a0eac4e2a5#n30
[3]: https://github.com/melpa/melpa?tab=readme-ov-file#recipe-format